<?php
/**
* @version		$Id: fenrisaddthis.php $
* @package		Joomla
* @subpackage		Content
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted Access');

// Import library dependencies
jimport('joomla.plugin.plugin');

  class plgContentfl_customcode extends JPlugin {
  function plgContentfl_customcode( &$subject, $config ) {
  parent::__construct( $subject, $config );}

  function onPrepareContent( &$article, &$params, $start) {
  global $mainframe;

        // Add style sheet
        $document	= & JFactory::getDocument();
        $document->addStyleSheet(JURI::base(true).'/plugins/content/fl_customcode/css/fl_customcode.css');

    // loading plugin parameters

        // plugin
    $excludeCategories = $this->params->get('excludeCategories');
    $excludeSections = $this->params->get('excludeSections');
    $excludeArticle = $this->params->get('excludeArticle');
    $articles = $this->params->get('articles');
    $sections = $this->params->get('sections');
    $categories = $this->params->get('categories');
    $avertical = $this->params->get('avertical');
    $cvertical = $this->params->get('cvertical');
    $svertical = $this->params->get('svertical');
        // output
    $src = $this->params->get('src');

    //set validArticle to the default value
    $validArticle = true;

    //excluded section
    $exclude = explode (",", $excludeSections);
    foreach ($exclude as $ex)
    {
      if ($article->sectionid == trim($ex))
      {
        $validArticle = false;
      }
    }

    //excluded categories
    $exclude = explode (",", $excludeCategories);
    foreach ($exclude as $ex)
    {
      if ($article->catid == trim($ex))
      {
        $validArticle = false;
      }
    }

    //excluded articles
    $exclude = explode (",", $excludeArticle);
    foreach ($exclude as $ex)
    {
    if ($article->id == trim($ex))
      {
        $validArticle = false;
      }
    }

    //show, if allowed to Article
    if ($validArticle == true)
    {
      $output ="
    <!-- START OF OUTPUT -->
<br /><div class=\"flcc\">$src</div>
    <!-- OUT OF OUTPUT -->
";
	      }
    // view of the articles
    if ((JRequest :: getVar('view')) == 'article' && $articles == 1)
      { if ($avertical== 1)
        {
          $article->text = $output. $article->text;
        }
    else
        {
          $article->text = $article->text.$output ;
        }
      }

    // view of the sections
    if ((JRequest :: getVar('view')) == 'section' && $sections == 1)
      { if ($svertical== 1)
        {
          $article->text = $output. $article->text;
        }
    else
        {
          $article->text = $article->text.$output ;
        }
      }

    // view of the categories
    if ((JRequest :: getVar('view')) == 'category' && $categories == 1)
      { if ($cvertical== 1)
        {
          $article->text = $output. $article->text;
        }
    else
        {
          $article->text = $article->text.$output ;
        }
      }


     }
  }


  ?>
